package ua.be.wee.model.nodes.ports;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;

import com.fasterxml.jackson.annotation.JsonManagedReference;

import ua.be.wee.model.nodes.Activity;

@Entity
public class ControlInputPort extends Port {

	@ManyToOne(cascade = CascadeType.ALL)
	@JsonManagedReference
	private Activity activity;

	public Activity getActivity() {
		return activity;
	}

	public void setAct(Activity activity) {
		this.activity = activity;
	}
}
